+++
title = "Theme overload"
author = ["Colin Powell"]
date = 2023-03-22T16:13:00-04:00
tags = ["emacs", "themes", "moetheme"]
categories = ["emacs"]
draft = false
+++

When there's nothing left to tweak, you have to tweak your Emacs theme!

That said, when is there ever nothing to tweak? 🃏 Of course, there are days where we're not motivated to tweak anything, and those days are prime candiates for exploring the deep, deep well that is themeing your tools. I love looking at new themes, playing with them, seeing what makes them different than another one and settling down to learn a new one. But it's also one of those things than can easily cause overload.

This post was inspired by the idea of theme overload, in point of fact. The Doom Emacs project is blessed with some really high quality themes in it's theme pack and I have explored them all. Purple is a particular favorite. But I've also discovered that a lot of the time themes are designed for a particular use case. A theme that works great on a sunny day working at the kitchen table, is less helpful when hacking late night on something in a dark room.

With Emacs, there even more variables to consider because we have this wonderful opportunity to use our editor either in a full-color system window OR a shell. Such flexibility remains one of my favorite parts of editors like Emacs and Vim. But it also means that a theme that looks great in a system window might look like trash (or just be unsuable) in a terminal, or vice versa.

Enter [the moe theme](https://github.com/kuanyui/moe-theme.el)! Looking beautiful in a system window, the theme was designed with only 256 colors in mind, so it makes the jump beautifully to a terminal shell as well.  I know I could just switch themes, but it's one less thing to do when you fire up Emacs in a terminal, and I love that.  I highly recommend taking moe themes for a ride. I usually use the dark variant, but light is solid as well.
